## ros-jazzy-moveit-servo 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-servo (2.10.0-2bookworm) bookworm; urgency=high

  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * remove intraprocess comm warning (#2752 <https://github.com/moveit/moveit2/issues/2752>)
  * Fix error message text in servo.cpp (#2769 <https://github.com/moveit/moveit2/issues/2769>)
  * Fix launch parameters in Servo demos (#2735 <https://github.com/moveit/moveit2/issues/2735>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * [Servo] Fix collision checking with attached objects (#2747 <https://github.com/moveit/moveit2/issues/2747>)
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Attempt to use SCHED_FIFO for Servo regardless of RT kernel (#2653 <https://github.com/moveit/moveit2/issues/2653>)
    * Attempt to use SCHED_FIFO for Servo regardless of RT kernel
    * Update warning message if Servo fails to use SCHED_FIFO
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_ros/moveit_servo/src/servo_node.cpp
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    ---------
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
  * Acceleration Limited Smoothing Plugin for Servo (#2651 <https://github.com/moveit/moveit2/issues/2651>)
  * Contributors: Marc Bestmann, Nathan Brooks, Paul Gesel, Robert Haschke, Sebastian Castro, Sebastian Jahr, Stephanie Eng, Tyler Weaver

 -- Blake Anderson <blakeanderson@utexas.edu>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-servo (2.9.0-2bookworm) bookworm; urgency=high

  * Add command queue to servo to account for latency (#2594 <https://github.com/ros-planning/moveit2/issues/2594>)
    * add command queue to servo to account for latency
    * run pre-commit
    * fix unsigned compare
    * Update moveit_ros/moveit_servo/config/servo_parameters.yaml
    Fix wording
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Update moveit_ros/moveit_servo/src/servo.cpp
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Update moveit_ros/moveit_servo/src/servo.cpp
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * add comments and change variable names
    * add checks to determine what state information should be published
    * change latency parameter name
    * factor command queue out of servo instance
    * update demos
    * needs clean up but working well
    * deal with duplicate timestamps for sim
    * add acceleration limiting smoothing
    * add timeout check in filter
    * factor out robot state from servo call
    * update comments in smoothing pluin
    * fix tests
    * change velocity calculation to make interpolation not overshoot
    * Update moveit_ros/moveit_servo/config/panda_simulated_config.yaml
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Update moveit_ros/moveit_servo/config/servo_parameters.yaml
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * Update moveit_ros/moveit_servo/demos/cpp_interface/demo_joint_jog.cpp
    Co-authored-by: Sebastian Castro <mailto:4603398+sea-bass@users.noreply.github.com>
    * fix time calculation
    * add check to ensure time interval is positive
    * simplify demos
    * wait for first robot state before starting servo loop
    * add comments to acceleration filter
    * fix wait time units
    * fix logic bug in smoothHalt and remove stopping point from trajectory message. Still some overshoot.
    * add acceleration limit to servo
    * remove acceleration filter
    * remove other filter files from moveit_core
    * add doc string and basic clean up
    * refactor getRobotState to utils and add a test
    * make some things const and fix comments
    * use joint_limts params to get robot acceleration limits
    * update demo config and set velocities in demos
    * fix acceleration calculation
    * apply collision_velocity_scale_ in smooth hault, add comments, and rename variables
    * use bounds on scaling factors in [0... 1]
    * remove joint_acceleration parameter
    * add test for jointLimitAccelerationScaling
    * refactor velocity and acceleration scaling into common function
    * general clean up, add comments, fix parameters, set timestamp in updateSlidingWindow, etc.
    * Update moveit_ros/moveit_servo/config/panda_simulated_config.yaml
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_ros/moveit_servo/src/servo.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * remove override_acceleration_scaling_factor
    * fix variable name
    * enable use_smoothing in demos
    * Update moveit_ros/moveit_servo/config/panda_simulated_config.yaml
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * add current state to command queue if it is empty. This is needed since the time stamp is set in the updateSlidingWindow function now.
    * remove acceleration smoothing
    * revert jointLimitVelocityScalingFactor refactor
    * 1) fix spelling 2) add comments 3) make sure rolling_window always has current state if no command generated 4) fix smooth hault: stop command was not generated if smoothing disabled 5) call resetSmoothing when there are no commands
    ---------

