=== debian/control ===
Source: ros-jazzy-moveit-servo
Section: misc
Priority: optional
Maintainer: Blake Anderson <blakeanderson@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gtest <!nocheck>, ros-jazzy-control-msgs, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-moveit-common, ros-jazzy-moveit-core, ros-jazzy-moveit-msgs, ros-jazzy-moveit-resources-panda-moveit-config <!nocheck>, ros-jazzy-moveit-ros-planning, ros-jazzy-moveit-ros-planning-interface, ros-jazzy-pluginlib, ros-jazzy-realtime-tools, ros-jazzy-ros-testing <!nocheck>, ros-jazzy-sensor-msgs, ros-jazzy-std-msgs, ros-jazzy-std-srvs, ros-jazzy-tf2-eigen, ros-jazzy-trajectory-msgs, ros-jazzy-ros-workspace
Homepage: https://moveit.github.io/moveit_tutorials
Standards-Version: 3.9.2

Package: ros-jazzy-moveit-servo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-control-msgs, ros-jazzy-controller-manager, ros-jazzy-generate-parameter-library, ros-jazzy-geometry-msgs, ros-jazzy-gripper-controllers, ros-jazzy-joint-state-broadcaster, ros-jazzy-joint-trajectory-controller, ros-jazzy-joy, ros-jazzy-launch-param-builder, ros-jazzy-moveit-common, ros-jazzy-moveit-configs-utils, ros-jazzy-moveit-core, ros-jazzy-moveit-msgs, ros-jazzy-moveit-ros-planning, ros-jazzy-moveit-ros-planning-interface, ros-jazzy-pluginlib, ros-jazzy-realtime-tools, ros-jazzy-robot-state-publisher, ros-jazzy-sensor-msgs, ros-jazzy-std-msgs, ros-jazzy-std-srvs, ros-jazzy-tf2-eigen, ros-jazzy-tf2-ros, ros-jazzy-trajectory-msgs, ros-jazzy-ros-workspace
Description: Provides real-time manipulator Cartesian and joint servoing.
